Loading...
Searching...
No Matches
PointAttrTransfer Class Reference

`#include <openvdb_houdini/AttributeTransferUtil.h>`

## Public Types

using | IterRange = openvdb::tree::IteratorRange<openvdb::Int32Tree::LeafCIter>

## Public Member Functions

| PointAttrTransfer (AttributeDetailList &pointAttributes, const openvdb::Int32Grid &closestPtnIdxGrid, const GU_Detail &ptGeop)
| PointAttrTransfer (const PointAttrTransfer &other)
| ~PointAttrTransfer ()
void | runParallel ()
| Main calls.
void | runSerial ()
void | operator() (IterRange &range) const

## Member Typedef Documentation

## IterRange

using IterRange = openvdb::tree::IteratorRange<openvdb::Int32Tree::LeafCIter>

## Constructor & Destructor Documentation

## PointAttrTransfer() [1/2]

PointAttrTransfer | ( | AttributeDetailList & | pointAttributes,
|  | const openvdb::Int32Grid & | closestPtnIdxGrid,
|  | const GU_Detail & | ptGeop )

inline

## PointAttrTransfer() [2/2]

PointAttrTransfer | ( | const PointAttrTransfer & | other | ) |

inline

## ~PointAttrTransfer()

~PointAttrTransfer | ( |  | ) |

inline

## Member Function Documentation

## operator()()

void operator() | ( | IterRange & | range | ) | const

inline

## runParallel()

void runParallel | ( |  | ) |

inline

Main calls.

## runSerial()

void runSerial | ( |  | ) |

inline